## r-bioc-singler 1.4.1%2Bds

=== debian/changelog ===
r-bioc-singler (1.4.1+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 05 Feb 2021 14:38:45 +0100

r-bioc-singler (1.4.0+ds-3) unstable; urgency=medium

  * Team upload.
  * Add missing build-dep r-bioc-delayedmatrixstats, deleted by
    routine-upgrade (!!!)

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 12 Jan 2021 17:52:39 +0100

r-bioc-singler (1.4.0+ds-2) unstable; urgency=medium

  * Team upload.
  * debian/tests/autopkgtest-pkg-r.conf: r-bioc-{scran,scuttle} are required for
    the tests
  * Standards-Version: 4.5.1 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 12 Jan 2021 17:16:05 +0100

r-bioc-singler (1.4.0+ds-1) unstable; urgency=medium

  [ Dylan Aïssi ]
  * Team upload.
  * New upstream version
  * Trim trailing whitespace.

  [ Michael R. Crusoe ]
  * Set upstream metadata fields: Bug-Database, Repository, Repository-Browse.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 22 Nov 2020 10:29:22 +0100

r-bioc-singler (1.2.4+ds-2) unstable; urgency=medium

  * Team upload.
  * debhelper-compat 13 (routine-update)
  * Exclude one test from autopkgtest that takes for ever

 -- Andreas Tille <tille@debian.org>  Thu, 29 Oct 2020 11:02:55 +0100

r-bioc-singler (1.2.4+ds-1) unstable; urgency=medium

  * Initial release (closes: #970002)

 -- Steffen Moeller <moeller@debian.org>  Tue, 16 Jun 2020 19:46:02 +0200

## r-bioc-singler 1.4.1+ds

=== DESCRIPTION ===
Package: SingleR
Title: Reference-Based Single-Cell RNA-Seq Annotation
Version: 1.4.1
Date: 2021-02-02
Authors@R: c(person("Dvir", "Aran", email="dvir.aran@ucsf.edu", role=c("aut", "cph")),
    person("Aaron", "Lun", email="infinite.monkeys.with.keyboards@gmail.com", role=c("ctb", "cre")),
    person("Daniel", "Bunis", role="ctb"),
    person("Jared", "Andrews", email = "jared.andrews07@gmail.com", role="ctb"),
    person("Friederike", "Dündar", email = "frd2007@med.cornell.edu", role="ctb"))
Description: Performs unbiased cell type recognition from single-cell RNA
    sequencing data, by leveraging reference transcriptomic datasets of pure cell
    types to infer the cell of origin of each single cell independently. 
License: GPL-3 + file LICENSE
Depends: SummarizedExperiment
Imports: methods, Matrix, S4Vectors, DelayedArray, DelayedMatrixStats,
        BiocNeighbors, BiocParallel, BiocSingular, stats, utils, Rcpp,
        beachmat
LinkingTo: Rcpp, beachmat
Suggests: testthat, knitr, rmarkdown, BiocStyle, BiocGenerics,
        SingleCellExperiment, scuttle, scater, scran, scRNAseq,
        ggplot2, pheatmap, grDevices, gridExtra, viridis, celldex
biocViews: Software, SingleCell, GeneExpression, Transcriptomics,
        Classification, Clustering, Annotation
SystemRequirements: C++11
VignetteBuilder: knitr
Encoding: UTF-8
RoxygenNote: 7.1.1
URL: https://github.com/LTLA/SingleR
BugReports: https://support.bioconductor.org/
git_url: https://git.bioconductor.org/packages/SingleR
git_branch: RELEASE_3_12
git_last_commit: 5b9704c
git_last_commit_date: 2021-02-02
Date/Publication: 2021-02-02
NeedsCompilation: yes
Packaged: 2021-02-03 03:31:24 UTC; biocbuild
Author: Dvir Aran [aut, cph],
  Aaron Lun [ctb, cre],
  Daniel Bunis [ctb],
  Jared Andrews [ctb],
  Friederike Dündar [ctb]
Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/control ===
Source: r-bioc-singler
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-summarizedexperiment,
               r-cran-matrix,
               r-bioc-s4vectors,
               r-bioc-delayedarray,
               r-bioc-delayedmatrixstats,
               r-bioc-biocneighbors,
               r-bioc-biocparallel,
               r-bioc-biocsingular,
               r-cran-rcpp,
               r-bioc-beachmat
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-singler
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-singler.git
Homepage: https://bioconductor.org/packages/SingleR/
Rules-Requires-Root: no

Package: r-bioc-singler
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: BioConductor reference-based single-cell RNA-Seq annotation
 Performs unbiased cell type recognition from single-cell RNA
 sequencing data, by leveraging reference transcriptomic datasets of pure cell
 types to infer the cell of origin of each single cell independently.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-bioc-singlecellexperiment, r-bioc-scater, r-bioc-scran, r-cran-pheatmap, r-bioc-ensembldb
Restrictions: allow-stderr

## r-bioc-singler 1.8.1%2Bds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: SingleR
 Title: Reference-Based Single-Cell RNA-Seq Annotation
-Version: 1.4.1
-Date: 2021-02-02
+Version: 1.8.1
+Date: 2022-01-25
 Authors@R: c(person("Dvir", "Aran", email="dvir.aran@ucsf.edu", role=c("aut", "cph")),
     person("Aaron", "Lun", email="infinite.monkeys.with.keyboards@gmail.com", role=c("ctb", "cre")),
     person("Daniel", "Bunis", role="ctb"),
@@ -14,7 +14,7 @@
 Depends: SummarizedExperiment
 Imports: methods, Matrix, S4Vectors, DelayedArray, DelayedMatrixStats,
         BiocNeighbors, BiocParallel, BiocSingular, stats, utils, Rcpp,
-        beachmat
+        beachmat, parallel
 LinkingTo: Rcpp, beachmat
 Suggests: testthat, knitr, rmarkdown, BiocStyle, BiocGenerics,
         SingleCellExperiment, scuttle, scater, scran, scRNAseq,
@@ -24,16 +24,16 @@
 SystemRequirements: C++11
 VignetteBuilder: knitr
 Encoding: UTF-8
-RoxygenNote: 7.1.1
+RoxygenNote: 7.1.2
 URL: https://github.com/LTLA/SingleR
 BugReports: https://support.bioconductor.org/
 git_url: https://git.bioconductor.org/packages/SingleR
-git_branch: RELEASE_3_12
-git_last_commit: 5b9704c
-git_last_commit_date: 2021-02-02
-Date/Publication: 2021-02-02
+git_branch: RELEASE_3_14
+git_last_commit: f284296
+git_last_commit_date: 2022-01-26
+Date/Publication: 2022-01-27
 NeedsCompilation: yes
-Packaged: 2021-02-03 03:31:24 UTC; biocbuild
+Packaged: 2022-01-27 10:55:17 UTC; biocbuild
 Author: Dvir Aran [aut, cph],
   Aaron Lun [ctb, cre],
   Daniel Bunis [ctb],

## r-bioc-singler 1.8.1+ds

=== debian/changelog ===
r-bioc-singler (1.8.1+ds-2) unstable; urgency=medium

  * Team upload.
  * Update Test-Depends

 -- Andreas Tille <tille@debian.org>  Sat, 12 Feb 2022 12:23:27 +0100

r-bioc-singler (1.8.1+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 12 Feb 2022 07:52:10 +0100

r-bioc-singler (1.8.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.8.0+ds

 -- Nilesh Patra <nilesh@debian.org>  Thu, 25 Nov 2021 16:48:46 +0530

r-bioc-singler (1.6.1+ds-2) unstable; urgency=medium

  * Team Upload.
  * d/p/i386.patch: Pass relevant flags to fix
    i386 autopkgtest

 -- Nilesh Patra <nilesh@debian.org>  Sun, 19 Sep 2021 03:41:50 +0530

r-bioc-singler (1.6.1+ds-1) unstable; urgency=medium

  * Team Upload.
  [ Andreas Tille ]
  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 12 Sep 2021 17:58:47 +0530

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                r-bioc-biocsingular,
                r-cran-rcpp,
                r-bioc-beachmat
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-singler
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-singler.git
 Homepage: https://bioconductor.org/packages/SingleR/

## r-bioc-singler 1.10.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: SingleR
 Title: Reference-Based Single-Cell RNA-Seq Annotation
-Version: 1.8.1
-Date: 2022-01-25
+Version: 1.10.0
+Date: 2022-03-22
 Authors@R: c(person("Dvir", "Aran", email="dvir.aran@ucsf.edu", role=c("aut", "cph")),
     person("Aaron", "Lun", email="infinite.monkeys.with.keyboards@gmail.com", role=c("ctb", "cre")),
     person("Daniel", "Bunis", role="ctb"),
@@ -28,12 +28,12 @@
 URL: https://github.com/LTLA/SingleR
 BugReports: https://support.bioconductor.org/
 git_url: https://git.bioconductor.org/packages/SingleR
-git_branch: RELEASE_3_14
-git_last_commit: f284296
-git_last_commit_date: 2022-01-26
-Date/Publication: 2022-01-27
+git_branch: RELEASE_3_15
+git_last_commit: ecb1892
+git_last_commit_date: 2022-04-26
+Date/Publication: 2022-04-26
 NeedsCompilation: yes
-Packaged: 2022-01-27 10:55:17 UTC; biocbuild
+Packaged: 2022-04-26 22:08:09 UTC; biocbuild
 Author: Dvir Aran [aut, cph],
   Aaron Lun [ctb, cre],
   Daniel Bunis [ctb],

=== debian/changelog ===
r-bioc-singler (1.10.0+ds-1) unstable; urgency=medium

  * Disable reprotest
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 16 May 2022 06:54:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Source: r-bioc-singler
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-singler
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-singler.git
+Homepage: https://bioconductor.org/packages/SingleR/
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
@@ -17,11 +21,7 @@
                r-bioc-biocsingular,
                r-cran-rcpp,
                r-bioc-beachmat
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-singler
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-singler.git
-Homepage: https://bioconductor.org/packages/SingleR/
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-singler
 Architecture: any

## r-bioc-singler 2.0.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: SingleR
 Title: Reference-Based Single-Cell RNA-Seq Annotation
-Version: 1.10.0
-Date: 2022-03-22
+Version: 2.0.0
+Date: 2022-07-25
 Authors@R: c(person("Dvir", "Aran", email="dvir.aran@ucsf.edu", role=c("aut", "cph")),
     person("Aaron", "Lun", email="infinite.monkeys.with.keyboards@gmail.com", role=c("ctb", "cre")),
     person("Daniel", "Bunis", role="ctb"),
@@ -13,27 +13,27 @@
 License: GPL-3 + file LICENSE
 Depends: SummarizedExperiment
 Imports: methods, Matrix, S4Vectors, DelayedArray, DelayedMatrixStats,
-        BiocNeighbors, BiocParallel, BiocSingular, stats, utils, Rcpp,
-        beachmat, parallel
-LinkingTo: Rcpp, beachmat
+        BiocParallel, BiocSingular, stats, utils, Rcpp, beachmat,
+        parallel
+LinkingTo: Rcpp, beachmat, BiocNeighbors
 Suggests: testthat, knitr, rmarkdown, BiocStyle, BiocGenerics,
         SingleCellExperiment, scuttle, scater, scran, scRNAseq,
         ggplot2, pheatmap, grDevices, gridExtra, viridis, celldex
 biocViews: Software, SingleCell, GeneExpression, Transcriptomics,
         Classification, Clustering, Annotation
-SystemRequirements: C++11
+SystemRequirements: C++17
 VignetteBuilder: knitr
 Encoding: UTF-8
-RoxygenNote: 7.1.2
+RoxygenNote: 7.2.0
 URL: https://github.com/LTLA/SingleR
 BugReports: https://support.bioconductor.org/
 git_url: https://git.bioconductor.org/packages/SingleR
-git_branch: RELEASE_3_15
-git_last_commit: ecb1892
-git_last_commit_date: 2022-04-26
-Date/Publication: 2022-04-26
+git_branch: RELEASE_3_16
+git_last_commit: f36aaf5
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01
 NeedsCompilation: yes
-Packaged: 2022-04-26 22:08:09 UTC; biocbuild
+Packaged: 2022-11-01 23:04:52 UTC; biocbuild
 Author: Dvir Aran [aut, cph],
   Aaron Lun [ctb, cre],
   Daniel Bunis [ctb],

=== debian/changelog ===
r-bioc-singler (2.0.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 21 Nov 2022 14:14:31 +0100

=== debian/control ===
--- 
+++ 
@@ -16,11 +16,11 @@
                r-bioc-s4vectors,
                r-bioc-delayedarray,
                r-bioc-delayedmatrixstats,
-               r-bioc-biocneighbors,
                r-bioc-biocparallel,
                r-bioc-biocsingular,
                r-cran-rcpp,
-               r-bioc-beachmat
+               r-bioc-beachmat,
+               r-bioc-biocneighbors
 Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-singler

## r-bioc-singler 2.2.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: SingleR
 Title: Reference-Based Single-Cell RNA-Seq Annotation
-Version: 2.0.0
+Version: 2.2.0
 Date: 2022-07-25
 Authors@R: c(person("Dvir", "Aran", email="dvir.aran@ucsf.edu", role=c("aut", "cph")),
     person("Aaron", "Lun", email="infinite.monkeys.with.keyboards@gmail.com", role=c("ctb", "cre")),
@@ -28,12 +28,12 @@
 URL: https://github.com/LTLA/SingleR
 BugReports: https://support.bioconductor.org/
 git_url: https://git.bioconductor.org/packages/SingleR
-git_branch: RELEASE_3_16
-git_last_commit: f36aaf5
-git_last_commit_date: 2022-11-01
-Date/Publication: 2022-11-01
+git_branch: RELEASE_3_17
+git_last_commit: 6b09f4c
+git_last_commit_date: 2023-04-25
+Date/Publication: 2023-04-25
 NeedsCompilation: yes
-Packaged: 2022-11-01 23:04:52 UTC; biocbuild
+Packaged: 2023-04-25 22:53:13 UTC; biocbuild
 Author: Dvir Aran [aut, cph],
   Aaron Lun [ctb, cre],
   Daniel Bunis [ctb],

=== debian/changelog ===
r-bioc-singler (2.2.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Raplace d/t/control by d/t/autopkgtest-pkg-r.conf

 -- Andreas Tille <tille@debian.org>  Thu, 27 Jul 2023 06:01:44 +0200

## r-bioc-singler 2.4.1+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: SingleR
 Title: Reference-Based Single-Cell RNA-Seq Annotation
-Version: 2.2.0
-Date: 2022-07-25
+Version: 2.4.1
+Date: 2024-01-05
 Authors@R: c(person("Dvir", "Aran", email="dvir.aran@ucsf.edu", role=c("aut", "cph")),
     person("Aaron", "Lun", email="infinite.monkeys.with.keyboards@gmail.com", role=c("ctb", "cre")),
     person("Daniel", "Bunis", role="ctb"),
@@ -24,16 +24,17 @@
 SystemRequirements: C++17
 VignetteBuilder: knitr
 Encoding: UTF-8
-RoxygenNote: 7.2.0
+RoxygenNote: 7.2.3
 URL: https://github.com/LTLA/SingleR
 BugReports: https://support.bioconductor.org/
 git_url: https://git.bioconductor.org/packages/SingleR
-git_branch: RELEASE_3_17
-git_last_commit: 6b09f4c
-git_last_commit_date: 2023-04-25
-Date/Publication: 2023-04-25
+git_branch: RELEASE_3_18
+git_last_commit: fab56fd
+git_last_commit_date: 2024-01-05
+Repository: Bioconductor 3.18
+Date/Publication: 2024-01-07
 NeedsCompilation: yes
-Packaged: 2023-04-25 22:53:13 UTC; biocbuild
+Packaged: 2024-01-08 00:15:46 UTC; biocbuild
 Author: Dvir Aran [aut, cph],
   Aaron Lun [ctb, cre],
   Daniel Bunis [ctb],

=== debian/changelog ===
r-bioc-singler (2.4.1+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  Set upstream metadata fields: Archive.

 -- Andreas Tille <tille@debian.org>  Thu, 11 Jan 2024 10:12:49 +0100

r-bioc-singler (2.4.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 30 Nov 2023 18:16:45 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-singler
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-singler.git
 Homepage: https://bioconductor.org/packages/SingleR/
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-bioc-singler 2.6.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: SingleR
 Title: Reference-Based Single-Cell RNA-Seq Annotation
-Version: 2.4.1
-Date: 2024-01-05
+Version: 2.6.0
+Date: 2024-02-13
 Authors@R: c(person("Dvir", "Aran", email="dvir.aran@ucsf.edu", role=c("aut", "cph")),
     person("Aaron", "Lun", email="infinite.monkeys.with.keyboards@gmail.com", role=c("ctb", "cre")),
     person("Daniel", "Bunis", role="ctb"),
@@ -24,17 +24,17 @@
 SystemRequirements: C++17
 VignetteBuilder: knitr
 Encoding: UTF-8
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.1
 URL: https://github.com/LTLA/SingleR
 BugReports: https://support.bioconductor.org/
 git_url: https://git.bioconductor.org/packages/SingleR
-git_branch: RELEASE_3_18
-git_last_commit: fab56fd
-git_last_commit_date: 2024-01-05
-Repository: Bioconductor 3.18
-Date/Publication: 2024-01-07
+git_branch: RELEASE_3_19
+git_last_commit: 1999dd0
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
 NeedsCompilation: yes
-Packaged: 2024-01-08 00:15:46 UTC; biocbuild
+Packaged: 2024-05-01 06:06:35 UTC; biocbuild
 Author: Dvir Aran [aut, cph],
   Aaron Lun [ctb, cre],
   Daniel Bunis [ctb],

=== debian/changelog ===
r-bioc-singler (2.6.0+ds-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 18 Aug 2024 11:49:21 +0200

r-bioc-singler (2.6.0+ds-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 23 Jul 2024 16:06:15 +0200

r-bioc-singler (2.6.0+ds-1~0exp) experimental; urgency=low

  * Team upload.
  * New upstream version
  * Set upstream metadata fields: Repository-Browse.
  * d/control: Skip building on 32-bit systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 13 Jul 2024 20:07:02 +0200

=== debian/control ===
--- 
+++ 
@@ -11,25 +11,41 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-summarizedexperiment,
+               r-bioc-summarizedexperiment (>= 1.34.0),
                r-cran-matrix,
-               r-bioc-s4vectors,
-               r-bioc-delayedarray,
-               r-bioc-delayedmatrixstats,
-               r-bioc-biocparallel,
-               r-bioc-biocsingular,
+               r-bioc-s4vectors (>= 0.42.1),
+               r-bioc-delayedarray (>= 0.30.1),
+               r-bioc-delayedmatrixstats (>= 1.26.0),
+               r-bioc-biocparallel (>= 1.38.0),
+               r-bioc-biocsingular (>= 1.20.0),
                r-cran-rcpp,
-               r-bioc-beachmat,
-               r-bioc-biocneighbors
+               r-bioc-beachmat (>= 2.20.0),
+               r-bioc-biocneighbors (>= 1.22.0),
+               architecture-is-64-bit
 Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-singler
 Architecture: any
 Depends: ${R:Depends},
          ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         r-bioc-summarizedexperiment (>= 1.34.0),
+         r-bioc-s4vectors (>= 0.42.1),
+         r-bioc-delayedarray (>= 0.30.1),
+         r-bioc-delayedmatrixstats (>= 1.26.0),
+         r-bioc-biocparallel (>= 1.38.0),
+         r-bioc-biocsingular (>= 1.20.0),
+         r-bioc-beachmat (>= 2.20.0),
+         r-bioc-biocneighbors (>= 1.22.0)
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests}
+Suggests: ${R:Suggests},
+          r-bioc-biocstyle (>= 2.32.1),
+          r-bioc-biocgenerics (>= 0.50.0),
+          r-bioc-singlecellexperiment (>= 1.26.0),
+          r-bioc-scuttle (>= 1.14.0),
+          r-bioc-scater (>= 1.32.0),
+          r-bioc-scran (>= 1.32.0),
+          r-bioc-scrnaseq (>= 2.18.0)
 Description: BioConductor reference-based single-cell RNA-Seq annotation
  Performs unbiased cell type recognition from single-cell RNA
  sequencing data, by leveraging reference transcriptomic datasets of pure cell

## r-bioc-singler 2.8.0+ds

=== DESCRIPTION ===
Package: SingleR
Title: Reference-Based Single-Cell RNA-Seq Annotation
Version: 2.8.0
Date: 2024-10-28
Authors@R: c(person("Dvir", "Aran", email="dvir.aran@ucsf.edu", role=c("aut", "cph")),
    person("Aaron", "Lun", email="infinite.monkeys.with.keyboards@gmail.com", role=c("ctb", "cre")),
    person("Daniel", "Bunis", role="ctb"),
    person("Jared", "Andrews", email = "jared.andrews07@gmail.com", role="ctb"),
    person("Friederike", "Dündar", email = "frd2007@med.cornell.edu", role="ctb"))
Description: Performs unbiased cell type recognition from single-cell RNA
    sequencing data, by leveraging reference transcriptomic datasets of pure cell
    types to infer the cell of origin of each single cell independently. 
License: GPL-3
Depends: SummarizedExperiment
Imports: methods, Matrix, S4Vectors, DelayedArray, DelayedMatrixStats,
        BiocParallel, BiocSingular, BiocNeighbors, stats, utils, Rcpp,
        beachmat (>= 2.21.1), parallel
LinkingTo: Rcpp, beachmat, assorthead, BiocNeighbors
Suggests: testthat, knitr, rmarkdown, BiocStyle, BiocGenerics,
        SingleCellExperiment, scuttle, scater, scran, scRNAseq,
        ggplot2, pheatmap, grDevices, gridExtra, viridis, celldex
biocViews: Software, SingleCell, GeneExpression, Transcriptomics,
        Classification, Clustering, Annotation
SystemRequirements: C++17
VignetteBuilder: knitr
Encoding: UTF-8
RoxygenNote: 7.3.2
URL: https://github.com/SingleR-inc/SingleR
BugReports: https://github.com/SingleR-inc/SingleR/issues
git_url: https://git.bioconductor.org/packages/SingleR
git_branch: RELEASE_3_20
git_last_commit: 0035541
git_last_commit_date: 2024-10-29
Repository: Bioconductor 3.20
Date/Publication: 2024-10-29
NeedsCompilation: yes
Packaged: 2024-10-30 02:55:49 UTC; biocbuild
Author: Dvir Aran [aut, cph],
  Aaron Lun [ctb, cre],
  Daniel Bunis [ctb],
  Jared Andrews [ctb],
  Friederike Dündar [ctb]
Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-singler (2.8.0+ds-3) unstable; urgency=medium

  * Team upload.
  * Skip the autopkgtests if the dependencies are unsatisfiable, like on
    s390x.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 21 Jan 2025 14:14:32 +0100

r-bioc-singler (2.8.0+ds-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 13 Jan 2025 15:32:44 +0100

r-bioc-singler (2.8.0+ds-1) experimental; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * d/control: add build-dep on the new assorthead package

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 29 Nov 2024 12:32:49 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-singler
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-singler.git
 Homepage: https://bioconductor.org/packages/SingleR/
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
@@ -21,6 +21,7 @@
                r-cran-rcpp,
                r-bioc-beachmat (>= 2.20.0),
                r-bioc-biocneighbors (>= 1.22.0),
+               r-bioc-assorthead,
                architecture-is-64-bit
 Testsuite: autopkgtest-pkg-r

=== debian/watch ===
version=4
opts=repack,repacksuffix=+ds,dversionmangle=auto,compression=xz,downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
https://bioconductor.org/packages/release/bioc/html/SingleR.html .*/SingleR_(.*).tar.gz
